Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization
Class AbstractRenderer

    java.lang.Object
      edu.uci.ics.jung.visualization.AbstractRenderer

All Implemented Interfaces:
  Renderer

Direct Known Subclasses:
  BasicRenderer, PluggableRenderer, SettableRenderer

public abstract class AbstractRenderer
extends Object
implements Renderer

This abstract class structures much of the annoying bits of Renderers, allowing the user to simply override the important methods and move on.

Author:
  danyelf

Constructor Summary
`AbstractRenderer()`

Method Summary
`PickedInfo` | `getPickedKey()`
`protected boolean` | `isPicked(ArchetypeEdge e)`
`protected boolean` | `isPicked(ArchetypeVertex v)`
`abstract void` | `paintEdge(Graphics g, Edge e, int x1, int y1, int x2, int y2)`
`abstract void` | `paintVertex(Graphics g, Vertex v, int x, int y)`
`void` | `setPickedKey(PickedInfo pk)` This call allows a Renderer to ask whether a vertex is picked or not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractRenderer

    public AbstractRenderer()

Method Detail

### paintEdge

    public abstract void paintEdge(Graphics g,
                                   Edge e,
                                   int x1,
                                   int y1,
                                   int x2,
                                   int y2)

  Specified by:
    `paintEdge` in interface `Renderer`

### paintVertex

    public abstract void paintVertex(Graphics g,
                                     Vertex v,
                                     int x,
                                     int y)

  Specified by:
    `paintVertex` in interface `Renderer`

### setPickedKey

    public void setPickedKey(PickedInfo pk)

  Description copied from interface: `Renderer`
  This call allows a Renderer to ask whether a vertex is picked or not.

  Specified by:
    `setPickedKey` in interface `Renderer`

### getPickedKey

    public PickedInfo getPickedKey()

### isPicked

    protected boolean isPicked(ArchetypeVertex v)

### isPicked

    protected boolean isPicked(ArchetypeEdge e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD